## tf 3.5b4

=== Makefile ===
CC=gcc
CFLAGS=-g

tf-help: html2tf debug commands/*.html topics/*.html
	./html2tf commands/*.html > tf-help || { rm tf-help; exit 1; }
	./html2tf topics/*.html >> tf-help || { rm tf-help; exit 1; }

debug:
	@# Test for missing quotes
	egrep '<a href="[^"]*>' */*.html && false || true

clean:
	rm -f html2tf tf-help
