=== unix/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 35000.6 1996/11/10 02:11:05 hawkeye Exp $
+# $Id: Makefile,v 35000.8 1997/03/27 01:13:24 hawkeye Exp $
 ########################################################################
 #
 #  TinyFugue - programmable mud client
-#  Copyright (C) 1994, 1995, 1996 Ken Keys
+#  Copyright (C) 1994, 1995, 1996, 1997 Ken Keys
 #
 #  TinyFugue (aka "tf") is protected under the terms of the GNU
 #  General Public Licence.  See the file "COPYING" for details.
@@ -74,7 +74,12 @@
 	cd ./src; $(MAKE) -f ../unix/unix.mak dist
 
 help ./tf-lib/tf-help: _always_
-	if cd ./help; then $(MAKE) && mv tf-help ../tf-lib; else true; fi
+	if cd ./help; then \
+	    echo "Making help file..."; \
+	    $(MAKE) && mv tf-help ../tf-lib; \
+	else \
+	    true; \
+	fi
 
 tar ../tf-$(TFVER).tar: ./src/*.[ch] srcdist distclean
 	@-cd ./src; echo Possible garbage in ./src/: \
@@ -97,7 +102,7 @@
 dist: ./tf-lib/tf-help ../tf-$(TFVER).tar
 	cd ..; gzip -c tf-$(TFVER).tar > tf-$(TFVER).tar.gz
 	cd ..; compress tf-$(TFVER).tar
-	cd ..; zip -qlr tf-$(TFVER).zip tf-$(TFVER)
+	cd ..; info-zip -qlr tf-$(TFVER).zip tf-$(TFVER)
 	cd ..; chmod ugo+r tf-$(TFVER).tar.gz tf-$(TFVER).tar.Z tf-$(TFVER).zip
 
 gzdist: ./tf-lib/tf-help ../tf-$(TFVER).tar
