=== unix/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 35000.8 1997/03/27 01:13:24 hawkeye Exp $
+# $Id: Makefile,v 35000.21 1998/07/28 06:44:28 hawkeye Exp $
 ########################################################################
 #
 #  TinyFugue - programmable mud client
-#  Copyright (C) 1994, 1995, 1996, 1997 Ken Keys
+#  Copyright (C) 1994 - 1998 Ken Keys
 #
 #  TinyFugue (aka "tf") is protected under the terms of the GNU
 #  General Public Licence.  See the file "COPYING" for details.
@@ -55,7 +55,7 @@
 	-@{ cat src/config.h; echo; } >> Build.log
 
 clean:
-	cd ./src; rm -f *.o Makefile core* exitmsg config.h typescript
+	cd ./src; rm -f *.o Makefile core* exitmsg config.h typescript*
 	cd ./unix; rm -f vars.mak *.log functest* libtest* test.c a.out
 
 distclean:  clean
@@ -82,15 +82,17 @@
 	fi
 
 tar ../tf-$(TFVER).tar: ./src/*.[ch] srcdist distclean
-	@-cd ./src; echo Possible garbage in ./src/: \
-	    `ls *out *err *foo* *bar* *.new *.old *.ok *.c.* *.tf \
+	@-cd ./src; echo Possible garbage in src: \
+	    `ls *in *out *err *foo* *bar* *.new *.old *.ok *.c.* *.tf *[0-9] \
 	    2>/dev/null`
+	@-echo Possible garbage in top: \
+	    `ls *.gz *.Z *.zip 2>/dev/null`
 	@wd=`pwd`; [ "`basename $$wd`" = "work" ] || \
 	    echo 'WARNING: You are not in the "work" directory.'
 	@echo 'Press return to archive tf-$(TFVER).'
 	@read foo
 	rm -rf ../tf-$(TFVER)
-	-for dir in "/" /src/ /src/regexp/ /tf-lib/ /unix/ /os2/; do \
+	-for dir in "/" /src/ /src/regexp/ /tf-lib/ /unix/ /os2/ /win32/; do \
 	    mkdir ../tf-$(TFVER)$${dir}; \
 	    cp .$${dir}* ../tf-$(TFVER)$${dir}; \
 	    chmod ugo+r ../tf-$(TFVER)$${dir}*; \
@@ -99,38 +101,58 @@
 	rm -f ../tf-$(TFVER)/src/dmalloc.c
 	cd ..; tar -cf tf-$(TFVER).tar tf-$(TFVER)
 
-dist: ./tf-lib/tf-help ../tf-$(TFVER).tar
-	cd ..; gzip -c tf-$(TFVER).tar > tf-$(TFVER).tar.gz
-	cd ..; compress tf-$(TFVER).tar
-	cd ..; info-zip -qlr tf-$(TFVER).zip tf-$(TFVER)
-	cd ..; chmod ugo+r tf-$(TFVER).tar.gz tf-$(TFVER).tar.Z tf-$(TFVER).zip
+dist: ./tf-lib/tf-help ../tf-$(TFVER).tar ../tf-$(TFVER)-help.tar
+	cd ..; gzip tf-$(TFVER).tar
+	cd ..; zip -qlr tf-$(TFVER).zip tf-$(TFVER)
+	cd ..; chmod ugo+r tf-$(TFVER).tar.gz tf-$(TFVER).zip
+	cd ..; gzip tf-$(TFVER)-help.tar
+	@echo ""; echo "### Don't forget to assign a cvs tag."
 
 gzdist: ./tf-lib/tf-help ../tf-$(TFVER).tar
 	cd ..; gzip tf-$(TFVER).tar
 
+tarhelp ../tf-$(TFVER)-help.tar: help
+	@wd=`pwd`; [ "`basename $$wd`" = "work" ] || \
+	    echo 'WARNING: You are not in the "work" directory.'
+	@echo 'Press return to archive tf-$(TFVER)-help.'
+	@read foo
+	rm -rf ../tf-$(TFVER)-help;
+	for dir in "/" /commands/ /topics/; do \
+	    mkdir ../tf-$(TFVER)-help$${dir}; \
+	    cp help/$${dir}*.html ../tf-$(TFVER)-help$${dir}; \
+	    chmod ugo+r ../tf-$(TFVER)-help$${dir}*; \
+	done
+	chmod ugo+r ../tf-$(TFVER)-help
+	cd ..; tar -cf tf-$(TFVER)-help.tar tf-$(TFVER)-help
+
+tcp.com:
+	cd ..; scp tf-$(TFVER).tar.gz tf-$(TFVER).zip tf-$(TFVER)-help.tar.gz \
+	    tcp.com:
+
 local:
-	TFDEV_EXE='/usr/local/bin/tf-$(TFVER)' \
+	TFDEV_TF='/usr/local/bin/tf-$(TFVER)' \
 	    TFDEV_LIBDIR='/usr/local/lib/tf-$(TFVER)-lib' \
-	    TFDEV_SYMLINK='/usr/local/bin/tf' ./unixmake files
+	    TFDEV_SYMLINK='/usr/local/bin/tf' ./unixmake config
 
 devlocal:
-	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_EXE='/usr/local/bin/tf-$(TFVER)' \
-	    TFDEV_LIBDIR='/usr/local/lib/tf-$(TFVER)-lib' TFDEV_STRIP=':' \
-	    TFDEV_SYMLINK='/usr/local/bin/tf' ./unixmake files
+	CC=tfcc TFDEV_CCFLAGS='-g -DLOCALITY' TFDEV_STRIP=':' \
+	    TFDEV_TF='/usr/local/bin/tf-$(TFVER)' \
+	    TFDEV_LIBDIR='/usr/local/lib/tf-$(TFVER)-lib' \
+	    TFDEV_SYMLINK='/usr/local/bin/tf' ./unixmake config
 
 devhome:
-	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_EXE="$$HOME/bin/tf-$(TFVER)" \
+	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_TF="$$HOME/bin/tf-$(TFVER)" \
 	    TFDEV_LIBDIR="$$HOME/lib/tf-$(TFVER)-lib" TFDEV_STRIP=':' \
 	    TFDEV_SYMLINK="$$HOME/bin/tf" \
-	    TFDEV_QUIET=yes TFDEV_DMALLOC=0 ./unixmake files
+	    TFDEV_QUIET=yes TFDEV_DMALLOC=0 ./unixmake config
 
 dev:
-	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_EXE="$$HOME/bin/tf-$(TFVER)" \
+	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_TF="$$HOME/bin/tf-$(TFVER)" \
 	    TFDEV_LIBDIR="$$HOME/lib/tf-$(TFVER)-lib" TFDEV_STRIP=':' \
-	    TFDEV_QUIET=yes TFDEV_DMALLOC=0 ./unixmake files
+	    TFDEV_QUIET=yes TFDEV_DMALLOC=0 ./unixmake config
 
-laurel: devhome
-	cp CHANGES $$HOME/public_html/tf/
+laurel: devhome files
+	cp CHANGES $$HOME/www/tf/
 
 _always_:
