=== debian/changelog ===
tf (1:4.0s1-22) unstable; urgency=medium

  * Maintain package in Debian Games team
    Closes: #1111927
  * Add Homepage
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Drop dpkg-dev from Build-Depends
  * Add watch file
  * Fix build with gcc-14
    Closes: #1066561

 -- Andreas Tille <tille@debian.org>  Sun, 31 Aug 2025 18:26:22 +0200

tf (1:4.0s1-21.1) unstable; urgency=medium

  * Non-maintainer upload.
  * unix/Makefile: Trap errors from make. (Closes: #1000460)

 -- Adrian Bunk <bunk@debian.org>  Thu, 23 Dec 2021 07:50:06 +0200

tf (1:4.0s1-21) unstable; urgency=medium

  * Fix build with gcc-10 (Closes: Bug#957871)

 -- Jan Niehusmann <jan@debian.org>  Thu, 23 Jul 2020 11:40:24 +0200

tf (1:4.0s1-20) unstable; urgency=medium

  * Fix reproducible builds by not including output of uname.
    (Closes: Bug#861133)
    Thanks to Chris Lamb for noticing and sending the patch.

 -- Jan Niehusmann <jan@debian.org>  Mon, 22 May 2017 16:29:16 +0200

tf (1:4.0s1-19) unstable; urgency=medium

  * Remove kernel version from sysname constant to fix reproducible build.
  * Add CPPFLAGS and LDFLAGS in compile command for makehelp utility.
    (only used during build, so not really a security improvement, but
    to make buildd log scanner happy)

 -- Jan Niehusmann <jan@debian.org>  Thu, 21 May 2015 23:25:30 +0200

tf (1:4.0s1-18) unstable; urgency=medium

  * convert debian/rules to use dh (Closes: Bug#777368)
  * add LDFLAGS to link command to enable hardening flags
  * minor changes to fix lintian warnings

 -- Jan Niehusmann <jan@debian.org>  Mon, 18 May 2015 17:30:08 +0200

tf (1:4.0s1-17) unstable; urgency=low

  * Acknowledge NMU, thank you Andreas! (Closes: Bug#300360)
  * Remove /usr/doc/tf if old tf package left it around (Closes: Bug#320103)
  * Moved menu file to /usr/share/menu

 -- Jan Niehusmann <jan@debian.org>  Fri, 26 Aug 2005 19:52:58 +0200

tf (1:4.0s1-16.1) unstable; urgency=low

  * NMU durring BSP
  * Fix for gcc 4.0 from Andreas Jochens (Closes: #300360)

 -- Blars Blarson <blarson@blars.org>  Sat,  6 Aug 2005 05:08:37 +0000

tf (1:4.0s1-16) unstable; urgency=low

  * Move tf manpage to section 1, as tf is now linked to /usr/bin/tf,
    and tf 5 won't be in /usr/games at all.

 -- Jan Niehusmann <jan@debian.org>  Sun,  9 Jan 2005 02:43:27 +0100

tf (1:4.0s1-15) unstable; urgency=low

  * Support alternatives for tf (in /usr/bin/tf) (Closes: Bug#288632)

 -- Jan Niehusmann <jan@debian.org>  Fri,  7 Jan 2005 14:36:18 +0100

tf (1:4.0s1-14) unstable; urgency=low

  * Fixed segfault if MAIL is not set. (Closes: Bug#169015)

 -- Jan Niehusmann <jan@debian.org>  Thu, 12 Aug 2004 08:32:34 +0200

tf (1:4.0s1-13) unstable; urgency=low

  * New maintainer
  * Add support for Mud Client Compression Protocol (patch from
    http://inphobia.net/openbsd/patches/tinyfugue-openbsd-mccp-patch.gz)
    (Closes: Bug#169970, Bug#176250)
  * Fix lintian warning about manpage-section-missmatch
  * Don't create /usr/doc link in postinst
  * Set Standards-Version to 3.6.1.0

 -- Jan Niehusmann <jan@debian.org>  Thu, 12 Aug 2004 02:01:44 +0200

tf (1:4.0s1-12) unstable; urgency=high

  * Removed buggy SSL patch.  (Closes: Bug#147146)

 -- Brian Mays <brian@debian.org>  Thu, 16 May 2002 05:39:30 -0400

tf (1:4.0s1-11) unstable; urgency=low

  * Applied SSL patch from http://zozo.org.uk/pages.shtml?page=tinyfugue.
    (Closes: Bug#145453)

 -- Brian Mays <brian@debian.org>  Tue, 14 May 2002 13:57:49 -0400

tf (1:4.0s1-10) unstable; urgency=medium

  * Modified postinst to ignore an existing /usr/doc/$package directory.

 -- Brian Mays <brian@debian.org>  Wed, 20 Mar 2002 11:24:06 -0500

tf (1:4.0s1-9) unstable; urgency=low

  * Fixed symlink /usr/doc -> ../share/doc.
  * Fixed reference to GPL.
  * Improved stripping of binaries.
  * Removed icon=none from menu file.
  * Fixed file permissions.

 -- Brian Mays <brian@debian.org>  Sun,  3 Feb 2002 13:02:24 -0500

tf (1:4.0s1-8) unstable; urgency=low

  * Recompiled to fix library problems.  (Closes: Bug#119472)

 -- Brian Mays <brian@debian.org>  Tue, 13 Nov 2001 15:00:42 -0500

tf (1:4.0s1-7) unstable; urgency=low

  * Rebuilt with libncurses5. (Closes: Bug#74501)

 -- Brian Mays <brian@debian.org>  Tue, 24 Oct 2000 12:28:54 -0400

tf (1:4.0s1-6) frozen unstable; urgency=low

  * Added build-time dependencies.

 -- Brian Mays <brian@debian.org>  Mon, 17 Jan 2000 14:03:59 -0500

tf (1:4.0s1-5) unstable; urgency=low

  * Fixed FHS /usr/doc -> /usr/share/doc transition scheme.

 -- Brian Mays <brian@debian.org>  Fri,  1 Oct 1999 14:28:05 -0400

tf (1:4.0s1-4) unstable; urgency=low

  * Modified tf to know the new FHS file locations.  (Closes: Bug#45400)

 -- Brian Mays <brian@debian.org>  Sat, 18 Sep 1999 10:59:55 -0400

tf (1:4.0s1-3) unstable; urgency=low

  * Changed file locations (in /usr/man and /usr/doc) to comply with
    the FHS.  (Closes: Bug#44945)

 -- Brian Mays <brian@debian.org>  Thu, 16 Sep 1999 20:25:36 -0400

tf (1:4.0s1-2) unstable; urgency=low

  * Rebuilt with correct libraries.  (Closes: Bug#37827)

 -- Brian Mays <brian@debian.org>  Tue, 18 May 1999 19:27:37 -0400

tf (1:4.0s1-1) unstable; urgency=low

  * New upstream version.

 -- Brian Mays <brian@debian.org>  Sun, 21 Mar 1999 20:47:04 -0500

tf (1:4.0g3-1) unstable; urgency=low

  * New upstream version.

 -- Brian Mays <brian@debian.org>  Fri,  5 Feb 1999 13:12:16 -0500

tf (1:4.0g2-1) frozen unstable; urgency=low

  * Worlds without type or mfile now use corresponding field of
    "default" world.
  * Improved prompt detection heuristics for typeless worlds.
  * /addworld can reset fields other than host and port for "(unnamedN)"
    worlds.
  * Clarified scope rules in "/help /for".
  * Fixed fatal error when reconnecting in a DISCONNECT hook.

 -- Brian Mays <brian@debian.org>  Fri, 20 Nov 1998 15:10:00 -0500

tf (1:4.0g1-1) frozen unstable; urgency=low

  * New upstream source.


