=== debian/control ===
Source: tf
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jan Niehusmann <jan@debian.org>,
           Andreas Tille <tille@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libncurses-dev,
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/games-team/tf
Vcs-Git: https://salsa.debian.org/games-team/tf.git
Homepage: https://tinyfugue.sourceforge.net/

Package: tf
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tinyfugue MUD client for TinyMUDs, DikuMUDs, and LPMUDs
 TinyFugue (also known as "Fugue" or "TF") is a line-based client
 designed for connecting to MUD servers (note: LP, Diku, and other
 servers which use prompts require "/lp on"; see /help prompts).
 .
 TinyFugue is larger than most MUD clients, but has many more features
 and is much more flexible. The goal is to provide the most
 functionality in a client that still maintains the user-friendliness
 of Tinytalk.
