=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	echo y | ./unixmake files
	touch build

override_dh_auto_install:
	mkdir -p \
		debian/tf/usr/games \
		debian/tf/usr/share/games \
		debian/tf/usr/share/man/man1 \
		debian/tf/usr/share/doc/tf/examples
	./unixmake install \
		TF=$(CURDIR)/debian/tf/usr/games/tf \
		LIBDIR=$(CURDIR)/debian/tf/usr/share/games/tf \
		MANPAGE=$(CURDIR)/debian/tf/usr/share/man/man1/tf4.1 \
		AM_UPDATE_INFO_DIR=no
	mv debian/tf/usr/share/games/tf/CHANGES  debian/tf/usr/share/doc/tf/changelog
	mv debian/tf/usr/share/games/tf/tfrc debian/tf/usr/share/doc/tf/examples/

override_dh_auto_clean:
	./unixmake distclean
	-rm -r build
