=== debian/watch ===
version=4

opts="uversionmangle=s/^(\d)/$1./" \
  https://sf.net/tinyfugue/@PACKAGE@-(\d[\d.s]+)@ARCHIVE_EXT@
