## tf 5.0b8-maemo2

=== debian/changelog ===
tf (5.0b8-maemo2) unstable; urgency=low

  * Build using mud-builder by andrew

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Mon,  4 Jan 2010 20:21:38 +0000

tf (5.0b8) unstable; urgency=low

  * Initial Release.

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Mon,  4 Jan 2010 20:20:39 +0000
