=== debian/control ===
Source: tf
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/games
Priority: extra
Maintainer: MUD Build Team <mud-builder-users@garage.maemo.org>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.6.1

Package: tf
XB-Maemo-Display-Name: TinyFugue
XB-Maemo-Icon-26:  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAADpVJREFUeNrEWnlsHOd1/30z
  szt7krs8ReqwDtKy5VOxHTRxC7eO6wRBFQdF7bj9owhapKnRK03/KFwUbRon
  TtGigPNHW6ApGiRB08Rp0VRoDaVOU8R1bdVRLEsyaYmSSJEUyeWxy+UeM7Nz
  9r1vZpa7NCUblAKPtNjZme949/u991GcOHHi28PDwz8rhDBBl+8HUBSBzsv3
  fXqmIAh8CMHfAX2L9jsgvO+cR+/VkZGR9F133TWwvLyMaFAQvz9+/Diq1aqc
  73keksmkXJcv/k4kEvKb32maFu2D9jfTs7CwAG10dPRR27YL/MBnwmgP1xVE
  QNDBgpALyfUDl34GEZFyKfp48rfntqmXG5imCcts9dCTWqdAXnrpJczPz7cJ
  vpFLIymUaaMCE6NoOrR0PhSWULpHkvTlMyba37Kx0KIxbX5JagrsDRvDBW3M
  tXCpaaPBI86dPYuJyUmQ0CSTN8wAL8KfpJ6CGjjA4kmpsoCpCSJqlA4LCLYa
  wybR7ce+1DGKxTzuHO9/vyLs6vnZWu3xT3wCa2trkvibdWmsRp/MQ0nlYVz8
  AY5Mfha7bz0C8CYFHX7VgucwQeIaS3RwI5kIOVFICMpaHfsGC/efn1ZO09vp
  5VIJjUZDMuC6buRXQWSeQZdJxbbO7+L38e/Ix2BZFqTuQ9tnS9CRHDoADN4G
  ZHR8+YUGfu9YHspyFdG8TaIVbK8NEfmArgPVKbK6xKH5hWrw9NN/9Nlnn/3i
  X83MTOM27/Z2ELjWxQTHJtbpuDEjfE/B4SJrIGDHlY5JL22LJJ/V8MZsgM/8
  zWUMF8fw5BEVbrMZOjFTztoIIv+VQaiDA2WTM+EI3rzXcZFeWV7R5ubmsbC4
  SNOVNpExI1vvO6JZ+3fne1VVee0eLVRduKdHjppk4uwkPvr5CdxzawZf+pcS
  nrxzhDRAqo7ELdiJpTOH5sKhlYnyw0VC4j0fCeZTBAo9URVNtfVkAtl05l1J
  XxIcCyoOHDTPdmw0m4bUCn3qGt8EUkXECA1KaComF10c2KXjf792FNWTV2FU
  TJoYm0en6ZMkKH4nAgtBy0IqSfFay6LpeBQQFLJRD44tfLImb25ubuBzz/w5
  ltdKUIW6Ddm+/B9EJig127bNUDsG2fxgXxFP/eanYRiGZFT6gBeExDPjditA
  IaXgjRkT5XMb6O8VWL3SCqUh2sFf3ieIeN1aw8xqDefKRG+tHDz28AfShV5y
  fjdA1VewWndaiqo4s7NzCZv8yDTMzTWwfSS71ssmmbHRaErziX1DCyL74X8c
  QTYMD+MDAh97oBcjnz6H0188jMPFDFZICzIQcSpgB0tSzrCq+N5Eyf3adO/F
  mSXjakItVL9fnhv41M/tv//BvVb+3PQ6rpTUsmn5jXQq7eezOWiqguuRievE
  OoUYT6fTRAKZc+TYWhy+ZDilFzZlU2Ohhn96ahS/ShR/+C8vY+ZLY8QjmZEX
  hD5Ky2XIcS/PLeKb0/nZ199cOr1Yqv4wn0le8Yye3mfKxt378vipmRUo5Ur9
  fMvFouc5Dd/3KHx67+gD2zJAc1yaz2uwxSCiOcwDfviAVeI6CowWOTOZxdd/
  /yBu/503MbHsYTfFddOk2E1DySTgWyZKTtpbrDpzlUrj5Zbtfa9lm7NrVRN7
  +9e+c9LyxwwzGKNpTO2a6/EV+ZsidpCyKBrx/A6BtxloJ5Eo1puKjh9csPDE
  qCJ9gx3FIgNmR1ZUclzyNI9pSGQ8z66sEFFT9Gv2Tz/3ZyivVR4wW+ZnXMdT
  Fq/OPfvi91889/HHHkPLcQ+LyG4FdqYBGXAYUCIUuswVQaSOdvgix7N8DZ/8
  h6vo/7XXcHRvGncMcjhTkKUok0loSJAGSOJkh5QyMkmLHjUHB/vIyRq/qOey
  r01MTP3KzOz8k3fefe/Zz3/hC88w6hwbH/9opVqRcYU339nHl+HU8yO/jRnw
  pQZkFEfd9DCU8vHKnxwhTKTiq79xCJMlH6tqD9aTvSiJHDZAuCmVRSbwk8MD
  PdneXAIWGXqlUv/6iRdOIJ/TkevN4EdnT+OVV1794wOHxoMzZ94cCiOHdwMf
  XxpJlwnFkpcuTInJoey5vGJigLLxs4+NYIHuP/gX03BpTJIQZrXu4pc/0Ie/
  e3wXCguLuK0vOFQeG87frRdunZ5fyA6RJoaHe/BIZhr9B1T87YUevHHuDGlN
  lzkmhgU7MyGXcJsfYsq4VqAFVSl6CSjIicm4LTtAnUDXQ6NJGOt1vPDbtyCt
  J6TtupwQCRvMlghapPow2jh/9MF7Dz6cyg/96L+ndPT3ZHHUm8JHxvtQq65i
  MOthaTW0fZfMEDusAdo+4Iewh02Kn4VRSJqPJx8SbWRjlPVsH7WyJWFONklR
  x4gXonsKpxWXIlUyi3vHbscd6cwfLHvG/1i9VexCHe/fk8WGWoBhLsM3q2g2
  KBFSzZDP5SAEds4ASdyngkqit8DfYkJ+6AuEcineQlZlfpSlW02vO1sKBjek
  jVYLlsrZ2E8M+cHDjw4S/snugkEM2kaL0r2NbL4PD9y360QuN/DgqydfzScS
  yRvUANPrRREpYBOKHIJFzRogWl0Kl5RvJAN+ILqKrRhcMWaTOdXx0VJ8uYGq
  ZoCGK8N8OqGQTsmZ08r88e9+53fH7nro16lo+kOXagGh7DSMeqEf+JsMacwP
  PwjcMMMpTiBrW598gdFpmwmli/4QOYsQhAl6z/DCpbmc7lV67sga2YdZW1sR
  WmLk6tX5RrF/QBIhArFzE/LRVQRpqXRa5woplcmQBBMELnSkUmkyoxAe0zDS
  iidhrNcRQIKwHpWhVlM0aVJMvBLhPT2ZIiZUmuMpBLVFUktkQgL8HUOJ0Gzc
  7jC6Xi5nGoyviXi2ab+yjoXJNymcumhx3CXom9LTyA0Mw2Jm/CACVpSlyY6s
  9TIqG1XuZUAnlKgKITMlfyeJwUo9sA3LsbNCqBxAPH/nWMiTJiS6GXj8iSd2
  0/vRQhbj9922+/79w33vE01/H5GQJWtmWCyKdi1zT09vXx7JrKAs7BJjOuWE
  xdnLWCvkyyUtWa3VvVaCbENVhRIIxbcdTzQsz5heapwnDFUlNXi+G8bxHWsg
  wlJbExk3tBYIupiXlmqlq5Xm65XKhrDdIMN1cE9WCx75mfHhkm4+ai+1PtY3
  UJSIkuiERQ7c0MXazFX71OWZ6pRlWvMt29kgr5Lh2rY907CwTJb3FpngakqW
  gTemAUQmFBf3WuSTbtPy15qLdUo5mHj4Qx96yjJaCVVTWr15ffSWw/37cOn8
  /ZlUjyTaZTWSifUP7Mag7R3W9gXnhNP6z6n5ZGJo776Pp1J6luBzU1FUXVNJ
  ZQIr+2/Z//Onfvy63Hgn/aBYA34ECOOyU4v8Me6p4fDhw3juuee+vLK8jEJf
  P771/D/izEvH8QtDvUjmc2hQWce1MWNznfEQzSlOzf7STx/d/0JmqP+vXz75
  RnqY4ESYsaJuB92/9uNTsJom1B3CiTiMev6m+chM3Dno0qVLWF1dxcz0tOxb
  OhwGm2WM2hsYHB7HWpOcXCgSULGrtkiagsrKg/tvx3Sl+qlDB4vPJVIPPf0f
  //6vKBaKYUchClkc+0kjEfHBjhlABOriaNbWZblcRr1el105bj7JVM21AI3Q
  E2naUpERgDM1t0e55pV4hLVB96XF1Vv/7Z+/+fKuocIjj374I+DIJshUeJM4
  cXWiyh1/OitIbjrzwrOzs5icnJRMcOHMgIszLVtck+D1SsuEx9UYOSFLUdBH
  1ZLQmDGC0RdJc/NKotQwlDu/8pW//6+R4eFveMSpbBTc5A+2VmRnz57F3Nyc
  bPfF0UEWzKwiGtCsWZhoOvig28IQgbcNsyklGlBBw93nhtPA5axYmSmbU7Wa
  vWS0Aly5MlfjjkXA2fJmNUHZHKUWotI3ak1q3Gzd2gkLe/aho3GhMley8N3F
  FRxME0pdWMKeXA/0vuzimuaYJdupv7VQe2vqYuVFstBvHDt2bKBYLP6W3bKg
  c3sxuDksiLgFKtDlA9rWiLCpHr8NfRtNG1OX1nGF6EkT5LjgaBgRPdWN8voP
  p6ZW/s+0vAtH7r7HHjt08JPFYt9Xn3/+eeRyWZKYh5t3bULozsOOtzHQ6TBs
  xzyR72VEannYqFpkbuuYni4fOXRw/MjeA3ccy2QzykB/3+jExARmrkyj0FuI
  NgxwM6/ODjbnE25waVs32dq2CLtFoQ5VJWzsprWEzIrnL0wygNvDr9mHuOnU
  V+wLIwVuLvExgAy21sRed9+8qxvsyRZI2ANtd4CjpZiZbCbTnsfEd6r3J3IF
  m/0r/kgNbE3rcQ/ecZx3JOZmm8i7vWIGOBJp2xHBL1gzrhsiDMb88hDwJynd
  d5GJY2HH9Mkwup0PxEef/OFIlKCElUzq75nEYwYcQsEK+R9bRzsPbBeFPKop
  eYBLA7lKS2czskp7rxlwKTfplCAdp9UW8NucmLlivO/JMpIYIGyUzWZlyfle
  M8Ci5q6G1AAHGJt8YOuRZyBbKyR9ZsC2oNKEXL6HmMiHXWxsaU909yyukUPf
  acw1Tj23MKAqCVANj2bDBHc3lCS2MSHKdvzSIdzfaBgwjAahVFNODg8CY5pE
  98n29aJ3ALz7jlbQcZbVffzZslsQqpBdQ9M0pGVogwODXdMZv5x2zqBuEGij
  OPvA++7DntF9xHlq8+8oZIeYMiGh0rBHRM7ui7ernIShSvTa0RbcPBHrNt3o
  UE+WjrReOFaJDvuistENjxmbZgMGCVfmgZXVla6F+I8sTCLebtlYd9dlfbBn
  97CUBgM8Jf4jD9pEEarMutxs2uoeklHaWePxNM5xbXlAgetUk9zpYJ9jQhnJ
  xmOFPBT0ZUuR7X99fV0+p3uhXbx4sWsRyRUtksvlpENvbGxQdbYuCRRKx6G8
  iA+dA3l//WR3/THb/WXM9ZyZs74EcpqW0U6dOvW2QTRgiTbWO2vla9HXcfgs
  dhph4uwftifVgINIFPHENZxEWrthGLP/L8AAx50C28V2ByIAAAAASUVORK5C
  YII=
  ====
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Flexible, screen-oriented, command-line MUD client.
  TinyFugue is a programmable multi-user dungeon (MUD) client. It can
  connect to multiple servers, displaying each in a virtual window with
  full-colour support.
  .
  This version is intended to be run from within X Terminal.
