=== src/regexp/Makefile ===
--- 
+++ 
@@ -11,6 +11,3 @@
 regexp.$O:	regexp.c regexp.h regmagic.h ../config.h
 	$(CC) -DCHARBITS=0377 -I. $(CFLAGS) -c regexp.c
 
-# The next line is a hack to get around a bug in BSD/386 make.
-make:
-
